@import url("https://fonts.googleapis.com/css2?family=Montserrat:wght@100;200;300;400;500;600;700&display=swap");
header {
  max-width: 1800px;
  margin: 0 auto;
  padding: 0 2rem;
  display: flex;
  justify-content: space-between;
  padding-top: 3rem;
  padding-bottom: 3rem;
}
header > div {
  flex: 1;
}
@media screen and (max-width: 1200px) {
  header :first-child .navigation {
    display: none;
  }
}
header :first-child .menu-toggler {
  position: relative;
}
@media screen and (min-width: 1200px) {
  header :first-child .menu-toggler {
    display: none;
  }
}
header :first-child .menu-toggler #menu-btn {
  position: relative;
  z-index: 100;
  cursor: pointer;
  border: 0;
  background-color: transparent;
}
header :first-child .menu-toggler #menu-btn > span {
  display: block;
  height: 3px;
  background-color: #CBCBCB;
}
header :first-child .menu-toggler #menu-btn :nth-child(1) {
  width: 25px;
  margin-top: 2px;
}
header :first-child .menu-toggler #menu-btn :nth-child(2) {
  width: 30px;
  margin-top: 5px;
  visibility: visible;
  opacity: 100%;
  border-radius: 0;
  transition: opacity 1s, border-radius 1s 1s, width 1s 1s;
}
header :first-child .menu-toggler #menu-btn :nth-child(3) {
  width: 22px;
  margin-top: 5px;
}
header :first-child .menu-toggler #menu-btn.active :nth-child(1) {
  animation: show-menu-top-item 1s forwards;
}
@keyframes show-menu-top-item {
  0% {
    width: 25px;
    transform: rotate(0);
  }
  70% {
    width: 3px;
    border-radius: 3px;
    transform: rotate(0);
  }
  71% {
    width: 3px;
    transform: rotate(45deg);
  }
  100% {
    width: 30px;
    border-radius: 0;
    transform: rotate(45deg) translate(8px, 3.5px);
  }
}
header :first-child .menu-toggler #menu-btn.active :nth-child(2) {
  width: 3px;
  visibility: hidden;
  opacity: 0;
  border-radius: 3px;
  transition: width 0.5s, border-radius 0.5s, opacity 0.5s 0.5s, visibility 0.5s 0.5s;
}
header :first-child .menu-toggler #menu-btn.active :nth-child(3) {
  animation: show-menu-bottom-item 1s forwards;
}
@keyframes show-menu-bottom-item {
  0% {
    width: 22px;
    transform: rotate(0);
  }
  30% {
    width: 3px;
    border-radius: 3px;
    transform: rotate(0);
  }
  71% {
    width: 3px;
    transform: rotate(-45deg);
  }
  100% {
    width: 30px;
    border-radius: 0;
    transform: rotate(-45deg) translate(8px, -3.5px);
  }
}
header :first-child .menu-toggler #menu-btn.inactive :nth-child(1) {
  animation: default-top-item 1s forwards;
}
@keyframes default-top-item {
  0% {
    width: 30px;
    border-radius: 0;
    transform: rotate(45deg) translate(8px, 3.5px);
  }
  30% {
    width: 3px;
    transform: rotate(45deg);
  }
  31% {
    width: 3px;
    border-radius: 3px;
    transform: rotate(0);
  }
  100% {
    width: 25px;
    transform: rotate(0);
  }
}
header :first-child .menu-toggler #menu-btn.inactive :nth-child(2) {
  width: 30px;
  visibility: visible;
  opacity: 1;
  border-radius: 0;
  transition: visibility 0.4s, opacity 0.4s, border-radius 0.5s 0.5s, width 0.5s 0.5s;
}
header :first-child .menu-toggler #menu-btn.inactive :nth-child(3) {
  animation: default-bottom-item 1s forwards;
}
@keyframes default-bottom-item {
  0% {
    width: 30px;
    border-radius: 0;
    transform: rotate(-45deg) translate(8px, -3.5px);
  }
  70% {
    width: 3px;
    transform: rotate(-45deg);
  }
  71% {
    width: 3px;
    border-radius: 3px;
    transform: rotate(0);
  }
  100% {
    width: 22px;
    transform: rotate(0);
  }
}
header :first-child #menu {
  background-color: #fff;
  position: absolute;
  top: 121px;
  bottom: 0;
  left: 0;
  right: 0;
  height: 0;
  overflow: hidden;
  transition: height 1s ease;
}
header :first-child #menu.show {
  height: calc(100vh - 121px);
}
header :first-child #menu .mobile-menu__wrapper {
  padding: 0 2rem;
  max-width: 600px;
  margin: 0 auto;
}
header :first-child #menu .mobile-menu__wrapper .folders {
  margin: 4rem auto;
}
header :first-child #menu .mobile-menu__wrapper .folders .title {
  text-align: center;
  margin-bottom: 1.3rem;
}
header #center {
  text-align: center;
  font-size: 20px;
  font-weight: bold;
  color: #313131;
  text-transform: uppercase;
}
header #centerHeader {
  position: relative;
  width: 100%;
  text-align: center;
}
header #centerHeader > div {
  width: 100%;
  position: absolute;
  top: 0;
}
header #centerHeader #menuTitle {
  visibility: hidden;
  transform: scaleY(0);
}
header #centerHeader.menu-title #pageTitle {
  transform: scaleY(0);
  transition: transform 0.5s;
}
header #centerHeader.menu-title #menuTitle {
  visibility: visible;
  transform: scaleY(1);
  transition: transform 0.5s 0.5s;
}
header #centerHeader.page-title #pageTitle {
  transform: scaleY(1);
  transition: transform 1s 1s;
}
header #centerHeader.page-title #menu {
  visibility: visible;
  transform: scaleY(0);
  transition: transform 1s;
}

.middle {
  max-width: 1800px;
  margin: 0 auto;
  padding: 0 2rem;
  margin-top: 3rem;
  display: flex;
  gap: 8rem;
}
.middle > * {
  flex: 1;
}
.middle > main {
  flex: 2;
}
.middle > main .post-preview {
  border-radius: 20px;
  box-shadow: 0 0 10px 5px #F3F3F3;
  transition: transform 0.5s, box-shadow 0.5s;
  margin-bottom: 2rem;
}
.middle > main .post-preview:hover {
  box-shadow: 0 0 30px 20px #F3F3F3;
  transform: scale(1.01);
}
.middle > main .post-preview img {
  width: 100%;
  height: 210px;
  object-fit: cover;
  border-radius: 20px;
}
.middle > main .post-preview__text {
  padding: 1rem;
}
.middle > main .post-preview__text .title-and-label {
  display: flex;
  gap: 1rem;
  align-items: start;
}
.middle > main .post-preview__text .title-and-label h3 {
  font-weight: 400;
}
.middle > main .post-preview__text .title-and-label div {
  margin-top: 5px;
  color: white;
  font-size: 10px;
  padding: 3px 5px;
  background-color: #B499FF;
  border-radius: 20px;
}
.middle > main .post-preview__text p {
  font-weight: 300;
  font-size: 0.9rem;
  margin-top: 0.5rem;
}
.middle > main > article {
  font-size: 1.2rem;
}
.middle > main > article h1 {
  font-size: 1.5rem;
  margin-bottom: 2rem;
}
.middle > main > article h2, .middle > main > article h3, .middle > main > article h4, .middle > main > article h5, .middle > main > article h6 {
  margin-top: 3rem;
  margin-bottom: 2rem;
}
.middle > main > article > * {
  max-width: 100%;
  overflow: hidden;
}
.middle > main > article img {
  max-width: 100%;
}
.middle > main > article p {
  margin: 2rem 0 1.5rem 0;
}
.middle > main > article .pre-content {
  color: #AAAAAA;
  font-size: 1.2rem;
  margin-bottom: 3rem;
}
.middle > main > article ul {
  padding-left: 2rem;
  margin-top: 0.5rem;
  margin-bottom: 2rem;
}
.middle > main > article ul li {
  margin-top: 0.5rem;
}
.middle > main > article figure {
  margin: 3rem 0;
  text-align: center;
}
.middle > main > article figure figcaption {
  color: #AAAAAA;
}
.middle > main > article figure iframe {
  width: 100%;
}
.middle > main > article blockquote {
  background-color: #f5f5f5;
  margin-top: 2rem;
  padding: 2rem 1rem 2rem 1rem;
}
.middle > main > article a {
  color: #3c76ff;
  text-decoration: underline;
}
.middle > main > article table {
  margin-bottom: 2rem;
  border-collapse: collapse;
}
.middle > main > article table th {
  font-weight: 500;
}
.middle > main > article table td, .middle > main > article table th {
  padding: 7px 20px 7px 10px;
  border: 1px solid #e7e7e7;
}
.middle > main > article table thead {
  text-align: left;
  background-color: #f5f5f5;
  font-weight: 100;
}
.middle > main > article .scroll-lib {
  display: flex;
  gap: 1rem;
  max-width: 100%;
  overflow-x: scroll;
}
.middle > main > article .scroll-lib > * {
  display: block;
  min-width: 70%;
  object-fit: contain;
}
.middle > main > article .post-statistic {
  text-align: center;
  margin-top: 2rem;
}
.middle > main > article .post-statistic .view-count {
  color: #AAAAAA;
  font-size: 0.8rem;
  margin-top: 1rem;
}
.middle > main > article .post-statistic #likeBtn {
  background-color: transparent;
  border: 0.5px solid #AAAAAA;
  border-radius: 20px;
  padding: 5px 10px;
  font-size: inherit;
  font-weight: inherit;
  margin: 0 auto;
  display: flex;
  align-items: center;
  gap: 10px;
}
.middle > main .categories {
  margin-bottom: 2rem;
}
.middle .left-sidebar section {
  padding-top: 1rem;
}
.middle .right-sidebar section {
  position: relative;
  height: 100%;
}
.middle .right-sidebar section .short-info {
  font-weight: bold;
  font-size: 1.3rem;
  color: #313131;
  text-align: center;
}
.middle .right-sidebar section #upperToTop {
  position: sticky;
  top: 85vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 1rem;
  transform: translateX(50%);
  width: 30px;
  margin: 0 auto;
  opacity: 1;
  visibility: visible;
  transition: visibility 0.3s linear, opacity 0.3s linear;
}
.middle .right-sidebar section #upperToTop.hidden {
  visibility: hidden;
  opacity: 0;
}
.middle .right-sidebar section #upperToTop div {
  width: 2rem;
  transform: rotate(-90deg);
  color: #313131;
}
.middle .right-sidebar section #upperToTop img {
  width: 30px;
}
@media screen and (max-width: 1200px) {
  .middle {
    gap: 4rem;
    max-width: 600px;
    flex-direction: column-reverse;
  }
  .middle > :nth-child(3) {
    display: none;
  }
}

* {
  margin: 0;
  padding: 0;
  font-family: "Montserrat", sans-serif;
  color: #6C6C6C;
}

html {
  scroll-behavior: smooth;
}

body {
  color: #6C6C6C;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}
body h1, body h2, body h3, body h4, body h5, body h6 {
  color: #313131;
}
body a {
  text-decoration: none;
}
body footer {
  height: 5rem;
}
body button {
  cursor: pointer;
}
body .italic {
  font-style: italic;
}
body .categories {
  max-width: 360px;
  margin: 0 auto;
  display: flex;
  justify-content: space-around;
  flex-wrap: wrap;
  gap: 1rem;
}
body .category {
  color: white;
  display: inline-block;
  white-space: nowrap;
  background-color: #ccc;
  padding: 5px 10px;
  border-radius: 1rem;
}
body h1.category {
  position: relative;
  z-index: -1;
  margin-bottom: 3rem;
  opacity: 0.8;
}
body .about-me {
  display: flex;
  gap: 2rem;
}
body .about-me .avatar {
  width: 75px;
  height: 75px;
  object-fit: cover;
  border-radius: 100px;
}
body .about-me .text p {
  margin-top: 10px;
  font-size: 0.8rem;
  font-weight: 300;
}
body .about-me .text .icons {
  margin-top: 1rem;
}
body .about-me .text .icons a {
  cursor: pointer;
}
body .about-me .text .icons a img {
  max-width: 17px;
}
body .about-me .text .icons a span {
  font-size: 0.8rem;
}